Change a contact, or make it the primary (ANALYST+, dashboard user)
PATCH
/suppliers/{supplierId}/contacts/{contactId}
const url = 'https://api.invogi.com/v1/suppliers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","email":"hello@example.com","phone":"example","role":"example","isPrimary":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.invogi.com/v1/suppliers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "email": "hello@example.com", "phone": "example", "role": "example", "isPrimary": true }'isPrimary: false on the primary is refused: make another contact primary instead.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”supplierId
required
string format: uuid
contactId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
Required when adding
string
email
string | null format: email
phone
string | null
role
string | null
isPrimary
boolean
Example generated
{ "name": "example", "email": "hello@example.com", "phone": "example", "role": "example", "isPrimary": true}Responses
Section titled “Responses”The contact
Media typeapplication/json
object
id
required
string format: uuid
supplierId
required
string format: uuid
name
required
string
email
string | null format: email
phone
string | null
role
E.g. Accounts receivable
string | null
isPrimary
required
boolean
updatedAt
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "supplierId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "email": "hello@example.com", "phone": "example", "role": "example", "isPrimary": true, "updatedAt": "2026-04-15T12:00:00Z"}Invalid request
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}API key lacks required scope/role
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "NOT_FOUND" }}